package com.ruoyi.web.modules.category.domain;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品分类 biz_goods_category
 */
public class BizGoodsCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long categoryId;

    private Long shopId;

    private Long parentId;

    private String categoryLevel;

    private String categoryName;

    private String categoryPic;

    private Integer sortNo;

    private String showFlag;

    private String hotFlag;

    private String delFlag;

    /** 查询：名称模糊 */
    private String keyword;

    /** 列表展示：上级名称 */
    private String parentName;

    public Long getCategoryId()
    {
        return categoryId;
    }

    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getParentId()
    {
        return parentId;
    }

    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public String getCategoryLevel()
    {
        return categoryLevel;
    }

    public void setCategoryLevel(String categoryLevel)
    {
        this.categoryLevel = categoryLevel;
    }

    public String getCategoryName()
    {
        return categoryName;
    }

    public void setCategoryName(String categoryName)
    {
        this.categoryName = categoryName;
    }

    public String getCategoryPic()
    {
        return categoryPic;
    }

    public void setCategoryPic(String categoryPic)
    {
        this.categoryPic = categoryPic;
    }

    public Integer getSortNo()
    {
        return sortNo;
    }

    public void setSortNo(Integer sortNo)
    {
        this.sortNo = sortNo;
    }

    public String getShowFlag()
    {
        return showFlag;
    }

    public void setShowFlag(String showFlag)
    {
        this.showFlag = showFlag;
    }

    public String getHotFlag()
    {
        return hotFlag;
    }

    public void setHotFlag(String hotFlag)
    {
        this.hotFlag = hotFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getKeyword()
    {
        return keyword;
    }

    public void setKeyword(String keyword)
    {
        this.keyword = keyword;
    }

    public String getParentName()
    {
        return parentName;
    }

    public void setParentName(String parentName)
    {
        this.parentName = parentName;
    }
}
